Package org.bukkit.event.weather

# Enum Class WeatherChangeEvent.Cause

java.lang.Object
java.lang.Enum<WeatherChangeEvent.Cause>
org.bukkit.event.weather.WeatherChangeEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<WeatherChangeEvent.Cause>`, `Constable`

Enclosing class:
  WeatherChangeEvent

public static enum WeatherChangeEvent.Cause extends Enum<WeatherChangeEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
`NATURAL`
`PLUGIN`
`SLEEP`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static WeatherChangeEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeatherChangeEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMAND

public static final WeatherChangeEvent.Cause COMMAND

### NATURAL

public static final WeatherChangeEvent.Cause NATURAL

### SLEEP

public static final WeatherChangeEvent.Cause SLEEP

### PLUGIN

public static final WeatherChangeEvent.Cause PLUGIN

### UNKNOWN

public static final WeatherChangeEvent.Cause UNKNOWN

## Method Details

### values

public static WeatherChangeEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WeatherChangeEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null